com.io7m.jstructural.core

## Interface SFormalItemContentVisitor<A>

- Type Parameters:
    `A` - The type of values returned by the visitor

      public interface SFormalItemContentVisitor<A>

  Formal item content visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `visitFormalItemList(SFormalItemList list)` Visit a formal item list element.
    `A` | `visitImage(SImage image)` Visit an image element.
    `A` | `visitListOrdered(SListOrdered list)` Visit an ordered list element.
    `A` | `visitListUnordered(SListUnordered list)` Visit an unordered list element.
    `A` | `visitTable(STable e)` Visit a table element.
    `A` | `visitVerbatim(SVerbatim text)` Visit a verbatim element.

- - ### Method Detail

    - #### visitFormalItemList

          A visitFormalItemList(@Nonnull
                              SFormalItemList list)
                                throws com.io7m.jaux.Constraints.ConstraintError,
                                       Exception

      Visit a formal item list element.
      Parameters:
        `list` - The formal item list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitImage

          A visitImage(@Nonnull
                     SImage image)
                       throws com.io7m.jaux.Constraints.ConstraintError,
                              Exception

      Visit an image element.
      Parameters:
        `image` - The image element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitListOrdered

          A visitListOrdered(@Nonnull
                           SListOrdered list)
                             throws com.io7m.jaux.Constraints.ConstraintError,
                                    Exception

      Visit an ordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitListUnordered

          A visitListUnordered(@Nonnull
                             SListUnordered list)
                               throws com.io7m.jaux.Constraints.ConstraintError,
                                      Exception

      Visit an unordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitTable

          A visitTable(@Nonnull
                     STable e)
                       throws com.io7m.jaux.Constraints.ConstraintError,
                              Exception

      Visit a table element.
      Parameters:
        `e` - The table element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitVerbatim

          A visitVerbatim(@Nonnull
                        SVerbatim text)
                          throws com.io7m.jaux.Constraints.ConstraintError,
                                 Exception

      Visit a verbatim element.
      Parameters:
        `text` - The verbatim element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

Copyright © 2014 <code@io7m.com> http://io7m.com